package cn.com.qmth.stmms.common.enums;

public enum LibraryType {
    EXAMPLE("样卷库", 0), TRY("试评库", 1), FORMALLY("正评库", 2), STANDARD("标准卷库", 3);

    private String name;

    private int value;

    private LibraryType(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static LibraryType findByValue(int value) {
        for (LibraryType c : LibraryType.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }
}
